if [ "`/bin/uname -m`" = x86_64 ]; then
    _ORACLE_CLIENT_PATH=/usr/lib/oracle/10.2.0.3/client64
else
    _ORACLE_CLIENT_PATH=/usr/lib/oracle/10.2.0.3/client
fi

if [ -d $_ORACLE_CLIENT_PATH/bin ]; then
    if [ -n "$PATH" ]; then
        PATH=$_ORACLE_CLIENT_PATH/bin:$PATH
    else
        PATH=$_ORACLE_CLIENT_PATH/bin
    fi

    export PATH
fi

if [ -d $_ORACLE_CLIENT_PATH/lib ]; then
    if [ -n "$LD_LIBRARY_PATH" ]; then
        LD_LIBRARY_PATH=$_ORACLE_CLIENT_PATH/lib:$LD_LIBRARY_PATH
    else
        LD_LIBRARY_PATH=$_ORACLE_CLIENT_PATH/lib
    fi

    export LD_LIBRARY_PATH
fi

unset _ORACLE_CLIENT_PATH
